Squadcast is now SolarWinds Incident Response
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Users

Get All Users

get
/v3/users

Returns all the users of the organization. Requires access_token as a Bearer {{token}} in the Authorization header with read scope.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

The request has succeeded.

application/json
get/v3/users
GET /v3/users HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": "text",
      "first_name": "text",
      "last_name": "text",
      "username_for_display": "text",
      "email": "text",
      "contact": {
        "dial_code": "text",
        "phone_number": "text"
      },
      "secondary_emails": [
        "text"
      ],
      "email_verified": true,
      "time_zone": "text",
      "title": "text",
      "bio": "text",
      "notification_rules": [
        {
          "type": "text",
          "time": 1
        }
      ],
      "user_image": true,
      "role_id": "text",
      "role": "text"
    }
  ]
}

Add User

post
/v3/users

Add user to the organization with given role if not exists. Returns the user object in response. Requires access_token as a Bearer {{token}} in the Authorization header with user-write scope.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
emailstringRequired
rolestring · enumRequiredPossible values:
first_namestringRequired
last_namestringRequired
Responses
201

The request has succeeded and a new resource has been created as a result.

application/json
post/v3/users
POST /v3/users HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 78

{
  "email": "text",
  "role": "account_owner",
  "first_name": "text",
  "last_name": "text"
}
{
  "data": {
    "id": "text",
    "first_name": "text",
    "last_name": "text",
    "username_for_display": "text",
    "email": "text",
    "contact": {
      "dial_code": "text",
      "phone_number": "text"
    },
    "secondary_emails": [
      "text"
    ],
    "email_verified": true,
    "time_zone": "text",
    "title": "text",
    "bio": "text",
    "notification_rules": [
      {
        "type": "text",
        "time": 1
      }
    ],
    "user_image": true,
    "role_id": "text",
    "role": "text"
  }
}

Update Org Level Permissions

put
/v3/users/abilities
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

The request has succeeded.

application/json
datastringRequired
put/v3/users/abilities
PUT /v3/users/abilities HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 63

{
  "data": [
    {
      "user_id": "text",
      "abilities": [
        "manage-api-tokens"
      ]
    }
  ]
}
{
  "data": "text"
}

Delete User

put
/v3/users/delete-user

This API replaces the swap_user for all the entities in Squadcast with user_id provided and deletes the user.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
user_idstringRequired
swap_user_idstringRequired
suppress_incidentsbooleanRequired
reassign_incidentsbooleanRequired
Responses
200

The request has succeeded.

application/json
dataobjectRequired
put/v3/users/delete-user
PUT /v3/users/delete-user HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 92

{
  "user_id": "text",
  "swap_user_id": "text",
  "suppress_incidents": true,
  "reassign_incidents": true
}
{
  "data": {}
}

Get User Roles

get
/v3/users/roles

Returns all available user roles. Requires access_token as a Bearer {{token}} in the Authorization header with read scope.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

The request has succeeded.

application/json
get/v3/users/roles
GET /v3/users/roles HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": "text",
      "name": "text",
      "limit": 1,
      "order": 1
    }
  ]
}

Get User By ID

get
/v3/users/{userID}

Returns a users details of the given userID in the request param. Requires access_token as a Bearer {{token}} in the Authorization header with read scope.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
userIDstringRequired

(Required) user id

Responses
200

The request has succeeded.

application/json
get/v3/users/{userID}
GET /v3/users/{userID} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "id": "text",
    "first_name": "text",
    "last_name": "text",
    "username_for_display": "text",
    "email": "text",
    "contact": {
      "dial_code": "text",
      "phone_number": "text"
    },
    "secondary_emails": [
      "text"
    ],
    "email_verified": true,
    "time_zone": "text",
    "title": "text",
    "bio": "text",
    "notification_rules": [
      {
        "type": "text",
        "time": 1
      }
    ],
    "user_image": true,
    "role_id": "text",
    "role": "text"
  }
}

Update User by userID

put
/v3/users/{userID}

Update User by userID. Requires access_token as a Bearer {{token}} in the Authorization header with user-write scope.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
userIDstringRequired

(Required) user id

Body
rolestring · enumRequiredPossible values:
Responses
200

The request has succeeded.

application/json
put/v3/users/{userID}
PUT /v3/users/{userID} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 24

{
  "role": "account_owner"
}
{
  "data": {
    "id": "text",
    "first_name": "text",
    "last_name": "text",
    "username_for_display": "text",
    "email": "text",
    "contact": {
      "dial_code": "text",
      "phone_number": "text"
    },
    "secondary_emails": [
      "text"
    ],
    "email_verified": true,
    "time_zone": "text",
    "title": "text",
    "bio": "text",
    "notification_rules": [
      {
        "type": "text",
        "time": 1
      }
    ],
    "user_image": true,
    "role_id": "text",
    "role": "text"
  }
}

Remove User From Org

delete
/v3/users/{userID}

Remove user from organization. Upon sccess the user will be removed from the organization. Requires access_token as a Bearer {{token}} in the Authorization header with user-write scope.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
userIDstringRequired

(Required) user id

Responses
204

There is no content to send for this request, but the headers may be useful.

*/*
objectOptional
delete/v3/users/{userID}
DELETE /v3/users/{userID} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{}

Last updated